- Qt 6.8
- Qt Network
- C++ Classes
- QTcpSocket
- Qt 6.8.3 Reference Documentation

# QTcpSocket Class

The QTcpSocket class provides a TCP socket. More...

Header: | `#include <QTcpSocket>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Network)` `target_link_libraries(mytarget PRIVATE Qt6::Network)`
qmake: | `QT += network`
Inherits: | QAbstractSocket
Inherited By: | QSctpSocket and QSslSocket

- List of all members, including inherited members
- QTcpSocket is part of Network Programming API.

Note: All functions in this class are reentrant.

## Public Functions

| QTcpSocket(QObject *parent = nullptr)
virtual | ~QTcpSocket()

## Detailed Description

TCP (Transmission Control Protocol) is a reliable, stream-oriented, connection-oriented transport protocol. It is especially well suited for continuous transmission of data.

QTcpSocket is a convenience subclass of QAbstractSocket that allows you to establish a TCP connection and transfer streams of data. See the QAbstractSocket documentation for details.

Note: TCP sockets cannot be opened in QIODeviceBase::Unbuffered mode.

See also QTcpServer, QUdpSocket, QNetworkAccessManager, Fortune Server, Fortune Client, Threaded Fortune Server, Blocking Fortune Client, and Torrent Example.

## Member Function Documentation

### `[explicit]` QTcpSocket::QTcpSocket(QObject *parent = nullptr)

Creates a QTcpSocket object in state `UnconnectedState`.

parent is passed on to the QObject constructor.

See also socketType().

### `[virtual noexcept]` QTcpSocket::~QTcpSocket()

Destroys the socket, closing the connection if necessary.

See also close().